Edit Password V2 Using PATCH
Edit a Password based on vmid
Request
URI
PATCH
https://{api_host}//lcm-15-95.eng.vmware.com/lcm/locker/api/v2/passwords/{vmid}
COPY
Path Parameters
string
vmid
Required
vmid
Request Body
PasswordRequestResponseDTO
of type(s)
application/json
Optional
{
"alias": "string",
"createdOn": 0,
"lastUpdatedOn": 0,
"password": "string",
"passwordDescription": "string",
"principal": "string",
"referenced": false,
"transactionId": "string",
"userName": "string",
"vmid": "string"
}
string
alias
Optional
alias
integer As int64
As int64
createdOn
Optional
createdOn
integer As int64
As int64
lastUpdatedOn
Optional
lastUpdatedOn
string
password
Optional
password
string
passwordDescription
Optional
passwordDescription
string
principal
Optional
principal
boolean
referenced
Optional
referenced
string
transactionId
Optional
transactionId
string
userName
Optional
userName
string
vmid
Optional
vmid
Responses
200
OK
Returns
PasswordRequestResponseDTO
of type(s)
application/json
{
"alias": "string",
"createdOn": 0,
"lastUpdatedOn": 0,
"password": "string",
"passwordDescription": "string",
"principal": "string",
"referenced": false,
"transactionId": "string",
"userName": "string",
"vmid": "string"
}
string
alias
Optional
alias
integer As int64
As int64
createdOn
Optional
createdOn
integer As int64
As int64
lastUpdatedOn
Optional
lastUpdatedOn
string
password
Optional
password
string
passwordDescription
Optional
passwordDescription
string
principal
Optional
principal
boolean
referenced
Optional
referenced
string
transactionId
Optional
transactionId
string
userName
Optional
userName
string
vmid
Optional
vmid
204
No Content
Operation doesn't return any data structure
401
Unauthorized
Operation doesn't return any data structure
403
Forbidden
Operation doesn't return any data structure
404
Not Found
Returns
GenericErrorResponseDTO
of type(s)
application/json
{
"errorCode": "string",
"errorLabel": "string",
"message": "string",
"recommendations": [
"string"
],
"status": "string"
}
string
errorCode
Optional
errorCode
string
errorLabel
Optional
errorLabel
string
message
Optional
message
array of
string
recommendations
Optional
recommendations
string
status
Optional
status
500
Internal Server Error
Returns
GenericErrorResponseDTO
of type(s)
application/json
{
"errorCode": "string",
"errorLabel": "string",
"message": "string",
"recommendations": [
"string"
],
"status": "string"
}
string
errorCode
Optional
errorCode
string
errorLabel
Optional
errorLabel
string
message
Optional
message
array of
string
recommendations
Optional
recommendations
string
status
Optional
status
On This Page
Locker Password Controller Operations
POST
Create Password V2 Using POST
PATCH
Edit Password V2 Using PATCH
GET
Get Password Detail V2 Using GET
GET
List Passwords V2 Using GET
DELETE
Remove Password V2 Using DELETE